%     VIRTUAL SORIC - программа для получения эффективных свойств заполнителей SORIC
%     Copyright (C) 2020  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Check_Material_Properties(Material_Properties)

global ErrCode;

if (Material_Properties.Resin_E <= 0)
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Resin_E !\n');
    return;
end

if ((Material_Properties.Resin_nu <= -1) || (Material_Properties.Resin_nu >= 0.5))
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Cell_nu !\n');
    return;
end

if (Material_Properties.Resin_rho <= 0)
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Resin_rho !\n');
    return;
end

if (Material_Properties.Resin_Cp <= 0)
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Resin_Cp !\n');
    return;
end

if (Material_Properties.Resin_lambda <= 0)
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Resin_lambda !\n');
    return;
end

if (Material_Properties.Filler_E <= 0)
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Filler_E !\n');
    return;
end

if ((Material_Properties.Filler_nu <= -1) || (Material_Properties.Filler_nu >= 0.5))
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Cell_nu !\n');
    return;
end

if (Material_Properties.Filler_rho <= 0)
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Filler_rho !\n');
    return;
end

if (Material_Properties.Filler_Cp <= 0)
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Filler_Cp !\n');
    return;
end

if (Material_Properties.Filler_lambda <= 0)
    ErrCode = -1;
    fprintf (1, '\nОшибка: недопустимое значение параметра Filler_lambda !\n');
    return;
end
